/***************************************************************************
 *            dia-textus-imago.h
 *  basado en dia-textus-cuadrus
 *  Email
 ****************************************************************************/
 /*ELQ QUE GUARDA IMÁGENES PARA ESTO*/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _DIA_TEXTUS_IMAGO_H
#define _DIA_TEXTUS_IMAGO_H

#ifdef __cplusplus
extern "C"
{
#endif
#include <diacanvas/dia-canvas-varius-forma.h>  /*El objeto pricipal*/




G_BEGIN_DECLS
/*Son las deficniciones obligatorias del objeto encargado de hacer el cuadro*/
#define DIA_TYPE_TEXTUS_IMAGO		(dia_textus_imago_get_type ())
#define DIA_TEXTUS_IMAGO(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), DIA_TYPE_TEXTUS_IMAGO, DiaTextusImago))
#define DIA_TEXTUS_IMAGO_CLASS(klass)	(G_TYPE_CHECK_CLASS_CAST ((klass), DIA_TYPE_TEXTUS_IMAGO, DiaTextusImagoClass))
#define DIA_IS_TEXTUS_IMAGO(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), DIA_TYPE_TEXTUS_IMAGO))
#define DIA_IS_TEXTUS_IMAGO_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), DIA_TYPE_TEXTUS_IMAGO))
#define DIA_TEXTUS_IMAGO_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), DIA_TYPE_TEXTUS_IMAGO, DiaTextusImagoClass))


typedef struct _DiaTextusImago DiaTextusImago;
typedef struct _DiaTextusImagoClass DiaTextusImagoClass;


struct _DiaTextusImago
{
	DiaCanvasVariusForma item; /*Sirve para imagen, para cuadrado, y otros elementos*/
	PangoFontDescription* typus; /*La fuente del elemento*/
	GdkPixbuf* imagos;		/*Encargada de cargar la imagen*/
	DiaCanvasItem* centrum;  /*el componente central*/
	DiaCanvasItem* textus;
	DiaCanvasItem* textus_bassus;
//	double perimetros_amplus;
        char* nomenis;
        char* tex_tus;
	DiaColor color;           /*color del perímetro*/
//	DiaShape* perimetros;

};


struct _DiaTextusImagoClass
{
	DiaCanvasVariusFormaClass parent_class;
};

GType dia_textus_imago_get_type(void);


G_END_DECLS

	

#ifdef __cplusplus
}
#endif

#endif /* _DIA-TEXTUS-IMAGO_H */
